summary refs log tree commit diff
path: root/os/etc/cron.daily
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2023-09-25 11:56:34 +0200
committerRobert Günzler <r@gnzler.io>2023-09-25 11:56:34 +0200
commitf5c219983c0f60a07f1bd52b6f6071e86f35455e (patch)
treeb7520a02b9822481f29aea4ccb404744a73414b1 /os/etc/cron.daily
parent91ba318df1ff9b04d08af373ae904f61a91bf489 (diff)
add os config
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to 'os/etc/cron.daily')
-rwxr-xr-xos/etc/cron.daily/man-db11
-rwxr-xr-xos/etc/cron.daily/rbw-sync7
-rwxr-xr-xos/etc/cron.daily/systemd-tmpfiles-clean2
3 files changed, 20 insertions, 0 deletions
diff --git a/os/etc/cron.daily/man-db b/os/etc/cron.daily/man-db
new file mode 100755
index 0000000..7f79323
--- /dev/null
+++ b/os/etc/cron.daily/man-db
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Use same perms/settings as the ebuild.
+cachedir="/var/cache/man"
+if [ ! -d "${cachedir}" ]; then
+	mkdir -p "${cachedir}"
+	chown man:man "${cachedir}"
+	chmod 0755 "${cachedir}"
+fi
+
+exec su man -s /bin/sh -c 'nice mandb --quiet' 2>/dev/null
diff --git a/os/etc/cron.daily/rbw-sync b/os/etc/cron.daily/rbw-sync
new file mode 100755
index 0000000..f386f42
--- /dev/null
+++ b/os/etc/cron.daily/rbw-sync
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+/etc/s6-rc/runas -- sh -s <<-EOF
+	id=\$(notify-send -i \$(iconez -sn server-security) "rbw" "<i>syncing database</i>" -pt 0)
+	trap '{ clear-notification \$id; }' EXIT
+	rbw sync
+EOF
diff --git a/os/etc/cron.daily/systemd-tmpfiles-clean b/os/etc/cron.daily/systemd-tmpfiles-clean
new file mode 100755
index 0000000..e474f0e
--- /dev/null
+++ b/os/etc/cron.daily/systemd-tmpfiles-clean
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec ionice -c idle -t systemd-tmpfiles --clean